Description

Trying to configure BMC over HP iLO.

I am trying to configure Foreman to control the management interface of my server running CentOS-6.6.

On the BMC tab it gives me the below error (PLEASE SEE SCREENSHOT). What am I missing . I loaded "ipmi_si" and

"ipmi_devintf" kernel modules.

"Failed to fetch: 500 Internal Server Error"

History

#1 - 05/13/2015 04:56 PM - Neeraj Harikrishnan

Sorry I fixed this myself. Please close this

#2 - 05/14/2015 02:24 AM - Marek Hulán

- Status changed from New to Closed

Out of curiosity, what was the issue? Could you upload tail of /usr/share/foreman/logs/production.log when this happens?

#3 - 05/14/2015 01:54 PM - Neeraj Harikrishnan

Foreman- production log

Started GET "/hosts/seq2.cbio.mskcc.org/resources?range=7" for 172.21.40.177 at 2015-05-14 13:50:46 -0400

2015-05-14 13:50:46 [I] Processing by HostsController#resources as HTML

2015-05-14 13:50:46 [I]   Parameters: {"range"=>"7", "id"=>"seq2.cbio.mskcc.org"}

2015-05-14 13:50:46 [I]   Rendered hosts/_resources.html.erb (10.2ms)

2015-05-14 13:50:46 [I] Completed 200 OK in 20ms (Views: 12.3ms | ActiveRecord: 0.5ms)

2015-05-14 13:50:46 [I]   Rendered text template (0.0ms)

2015-05-14 13:50:46 [I] Completed 200 OK in 509ms (Views: 157.0ms | ActiveRecord: 6.5ms)

2015-05-14 13:50:46 [I] Processing by HostsController#bmc as HTML

2015-05-14 13:50:46 [I]   Parameters: {"id"=>"seq2.cbio.mskcc.org"}

2015-05-14 13:50:47 [I]   Rendered hosts/_nics.html.erb (263.9ms)

2015-05-14 13:50:47 [I] Completed 200 OK in 830ms (Views: 506.1ms | ActiveRecord: 5.2ms)

2015-05-14 13:50:48 [I]   Rendered hosts/_bmc.html.erb (495.8ms)

2015-05-14 13:50:48 [W] Failed to fetch bmc information: ERF12-1772 [ProxyAPI::ProxyException]: Unable to perform power BMC operation

([RestClient::ResourceNotFound]: 404 Resource Not Found) for proxy https://saba3.cbio.mskcc.org:8443/bmc

2015-05-14 13:50:48 [I] Completed 500 Internal Server Error in 1085ms (Views: 0.3ms | ActiveRecord: 7.2ms)

I had to enable BMC (:enabled: true) in /etc/foreman-proxy/settings.d/bmc.yml to get this to work.
